---
layout: docs
page_title: workers certificate-authority - Command
description: >-
  The "workers certificate-authority" command manages the certificate authority used to authorize worker resources.
---

# workers certificate-authority

Command: `boundary workers certificate-authority`

The `boundary workers certificate-authority` command lets you manage the certificate authority used to authorize Boundary workers.

## Example

This example lets you read information about the current certificate authority:

```shell-session
$ boundary workers certificate-authority read
```

## Usage

<CodeBlockConfig hideClipboard>

```shell-session
$ boundary workers certificate-authority [options]

 # ...

Subcommands:
    read          Read the certificate authority used to authorize Boundary workers.
    reinitialize  Reinitialize the certificate authority used to authorize Boundary workers.
```

</CodeBlockConfig>

### Usages by type

You can read or reinitialize certificate authorities.

<Tabs>
<Tab heading="Read">

The `workers certificate-authority read` command lets you read the details of the certificate authority that is used to authorize Boundary workers.

#### Usage

```shell-session
$ boundary workers certificate-authority read [options] [args]
```

#### Worker certificate authority options

- `-scope-id=<string>` - The scope in which to read the certificate authority.
The default scope is `global`.
You can also specify the scope using the **BOUNDARY_SCOPE_ID** environment variable.

</Tab>
<Tab heading="Reinitialize">

The `workers certificate-authority reinitialize` command lets you reinitialize the certificate authority that is used to authorize Boundary workers.

#### Usage

```shell-session
$ workers certificate-authority reinitialize [options] [args]
```

#### Worker certificate authority options

- `-scope-id=<string>` - The scope in which to reinitialize the certificate authority.
The default scope is `global`.
You can also specify the scope using the **BOUNDARY_SCOPE_ID** environment variable.

</Tab>
</Tabs>

@include 'cmd-option-note.mdx'